/**
 * @description
 * Import des libs externes
 */
import 'bootstrap-select'; // https://developer.snapappointments.com/bootstrap-select/
import 'simplebar'; // https://github.com/Grsmto/simplebar/tree/master/packages/simplebar

/**
 * @description
 * Import des libs Dedi
 */
import customCollapse from './lib/custom-collapse';
import dediMenu from './lib/dediMenu';
import form from './lib/form';
import search from './lib/search';
import showHide from './lib/showHide';

document.addEventListener('DOMContentLoaded', () => {
  /**
   * @description Chargement des modules JS Dedi
   */
  customCollapse();
  dediMenu();
  form();
  search();
  showHide();

  /**
   * @description Tooltip
   */
  $('[data-toggle="tooltip"]').tooltip({
    html: true,
  });
});
